%global project_owner rtfd
%global github_name recommonmark
%global desc A docutils-compatibility bridge to CommonMark.\
\
This allows you to write CommonMark inside of Docutils & Sphinx projects.\
\
Documentation is available on Read the Docs: http://recommonmark.readthedocs.org

Name:           python-%{github_name}
Version:        0.7.1
Release:        %mkrel 5
Summary:        docutils-compatibility bridge to CommonMark
Group:          Development/Python
License:        MIT
URL:            https://github.com/rtfd/recommonmark
Source0:        https://github.com/rtfd/recommonmark/archive/%{version}/%{github_name}-%{version}.tar.gz
BuildArch:      noarch

%description
%{desc}


%package -n     python3-%{github_name}
Summary:        docutils-compatibility bridge to CommonMark
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-CommonMark
BuildRequires:  python3-pytest
BuildRequires:  python3-sphinx
Requires:       python3-docutils
Requires:       python3-CommonMark
Requires:       python3-sphinx
%{?python_provide:%python_provide python3-%{github_name}}

%description -n python3-%{github_name}
%{desc}


%prep
%setup -qn %{github_name}-%{version}
# Remove upstream's egg-info
rm -rf %{github_name}.egg-info

sed -i '1{\@^#!/usr/bin/env python@d}' recommonmark/scripts.py


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{github_name}

pushd %{buildroot}%{_bindir}  # Enter buildroot bindir to ease symlink creation
for cm2bin in cm2*; do
    mv "${cm2bin}" "${cm2bin}-%{python3_version}"
    ln -s "${cm2bin}-%{python3_version}" "${cm2bin}-3"
done
popd  # Leave buildroot bindir



%check
# Skip some tests because of https://github.com/readthedocs/recommonmark/issues/164
PYTHONPATH=$(pwd) py.test-%{python3_version} -k 'not test_lists and not test_integration and not test_sphinx' .


%files -n python3-%{github_name} -f %{pyproject_files}
%doc README.md
%license license.md
%{_bindir}/cm2*-3
%{_bindir}/cm2*-%{python3_version}


%changelog
* Sun Mar 02 2025 wally <wally> 0.7.1-5.mga10
+ Revision: 2158701
- rebuild for python3.13

* Fri Dec 29 2023 daviddavid <daviddavid> 0.7.1-4.mga10
+ Revision: 2023546
- rebuild for py3.12
- switch to pyproject

* Tue Mar 29 2022 umeabot <umeabot> 0.7.1-3.mga9
+ Revision: 1832821
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.7.1-2.mga9
+ Revision: 1783114
- rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.7.1-1.mga9
+ Revision: 1703372
- new version 0.7.1
- rebuild for python 3.9

* Sat Sep 19 2020 joequant <joequant> 0.6.0-1.mga8
+ Revision: 1628826
- update to 0.6.0

* Sun Feb 16 2020 umeabot <umeabot> 0.5.0-2.mga8
+ Revision: 1532200
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.5.0-1.mga8
+ Revision: 1442110
- new release
- rebuild for python-3.8

* Fri Apr 12 2019 tv <tv> 0.4.0-1.mga7
+ Revision: 1389278
- imported package python-recommonmark


* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-19.gitdbed1c4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Oct 20 2018 Julien Enselme <jujens@jujens.eu> - 0.4.0-18.gitdbed1c4
- Bump version

* Sat Oct 20 2018 Julien Enselme <jujens@jujens.eu> - 0.4.0-17.gitdbed1c4
- Fix import of commonmark
- Remove Python 2 subpackage

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-16.gitdbed1c4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.4.0-15.gitdbed1c4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-14.gitdbed1c4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 27 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.4.0-13.gitdbed1c4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-12.gitdbed1c4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 22 2017 Julien Enselme <jujens@jujens.eu> - 0.4.0-11.gitdbed1c4
- Fix requires

* Wed Feb 22 2017 Julien Enselme <jujens@jujens.eu> - 0.4.0-10.gitdbed1c4
- Add support for CommonMark 0.7.0

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-9.git7ca5247
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.4.0-8.git7ca5247
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-7.git7ca5247
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jul 11 2016 Julien Enselme - 0.4.0-6.git7ca5247
- Fix typo in comment

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-5.git7ca5247
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 18 2016 Julien Enselme <jujens@jujens.eu> - 0.4.0-4.git7ca5247
- Move unversionned binaries to python2 subpackage

* Sun Jan 17 2016 Julien Enselme <jujens@jujens.eu> - 0.4.0-3.git7ca5247
- Use tarball from github to have tests and LICENSE
- Add %%check section

* Sat Jan 16 2016 Julien Enselme <jujens@jujens.eu> - 0.4.0-2
- Remove separate source tag for license
- Add binary to python2 subpackage

* Sun Jan 10 2016 Julien Enselme <jujens@jujens.eu> - 0.4.0-1
- Update to 0.4.0

* Thu Dec 31 2015 Julien Enselme <jujens@jujens.eu> - 0.2.0-2
- Add missing dist tag

* Fri Dec 4 2015 Julien Enselme <jujens@jujens.eu> - 0.2.0-1
- Inital package
